package com.bonus.material.ma.service;

import java.util.List;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.ma.domain.Machine;
import com.bonus.material.ma.domain.Type;
import com.bonus.material.ma.domain.vo.MachineVo;

/**
 * 机具设备管理Service接口
 * 
 * @author xsheng
 * @date 2024-09-27
 */
public interface IMachineService 
{
    /**
     * 查询机具设备管理
     * 
     * @param maId 机具设备管理主键
     * @return 机具设备管理
     */
    public MachineVo selectMachineByMaId(Long maId);

    /**
     * 查询机具设备管理列表
     * 
     * @param machine 机具设备管理
     * @return 机具设备管理集合
     */
    public List<MachineVo> selectMachineList(Machine machine);

    /**
     * 新增机具设备管理
     * 
     * @param machine 机具设备管理
     * @return 结果
     */
    public int insertMachine(Machine machine);

    /**
     * 修改机具设备管理
     * 
     * @param machine 机具设备管理
     * @return 结果
     */
    public AjaxResult updateMachine(Machine machine);

    /**
     * 批量删除机具设备管理
     * 
     * @param maIds 需要删除的机具设备管理主键集合
     * @return 结果
     */
    public int deleteMachineByMaIds(Long[] maIds);

    /**
     * 删除机具设备管理信息
     * 
     * @param maId 机具设备管理主键
     * @return 结果
     */
    public AjaxResult deleteMachineByMaId(Long maId);

    /**
     * 根据类型查询机具设备管理列表
     * @param type
     * @return
     */
    AjaxResult selectByTypeList(Type type);
}
